package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

public class PapMataVO extends MedicalRecordTransactionVO{	
	
	private Date tglInput;

	private Set<PapKategoriMataVO> kategoriKlinikMataSet=new HashSet<PapKategoriMataVO>();

	private Set<PapDataMataVO> dataKacamataSet=new HashSet<PapDataMataVO>();
	
	private PegawaiVO dokterKonsulen;
	
	private Integer dokterKonsulenId;
	
	private String kedudukanBolaMataOD;
	
	private String kedudukanBolaMataOS;
	
	private String visusOD;
	
	private String visusOS;
	
	private String koreksiOS;
	
	private String koreksiOD;
	
	private String kacamataLamaOD;
	
	private String kacamataLamaOS;
	
	private String kacamataLamaBaca;
	
	private String tonometriOS;
	
	private String tonometriOD;
	
	private String aplanasiOD;
	
	private String aplanasiOS;
	
	private String anelOS;
	
	private String anelOD;
	
	private String sistemLacrimal;
	
	private String diagnosaKlinik;
	
	private String kodePenyakit;
	
	private String pengobatanPoliklinik;
	
	private String pengobatanDiRumah;

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	public Set<PapKategoriMataVO> getKategoriKlinikMataSet() {
		return kategoriKlinikMataSet;
	}

	public void setKategoriKlinikMataSet(Set<PapKategoriMataVO> kategoriKlinikMataSet) {
		this.kategoriKlinikMataSet = kategoriKlinikMataSet;
	}

	public Set<PapDataMataVO> getDataKacamataSet() {
		return dataKacamataSet;
	}

	public void setDataKacamataSet(Set<PapDataMataVO> dataKacamataSet) {
		this.dataKacamataSet = dataKacamataSet;
	}

	public PegawaiVO getDokterKonsulen() {
		return dokterKonsulen;
	}

	public void setDokterKonsulen(PegawaiVO dokterKonsulen) {
		this.dokterKonsulen = dokterKonsulen;
	}

	public Integer getDokterKonsulenId() {
		return dokterKonsulenId;
	}

	public void setDokterKonsulenId(Integer dokterKonsulenId) {
		this.dokterKonsulenId = dokterKonsulenId;
	}

	public String getKedudukanBolaMataOD() {
		return kedudukanBolaMataOD;
	}

	public void setKedudukanBolaMataOD(String kedudukanBolaMataOD) {
		this.kedudukanBolaMataOD = kedudukanBolaMataOD;
	}

	public String getKedudukanBolaMataOS() {
		return kedudukanBolaMataOS;
	}

	public void setKedudukanBolaMataOS(String kedudukanBolaMataOS) {
		this.kedudukanBolaMataOS = kedudukanBolaMataOS;
	}

	public String getVisusOD() {
		return visusOD;
	}

	public void setVisusOD(String visusOD) {
		this.visusOD = visusOD;
	}

	public String getVisusOS() {
		return visusOS;
	}

	public void setVisusOS(String visusOS) {
		this.visusOS = visusOS;
	}

	public String getKoreksiOS() {
		return koreksiOS;
	}

	public void setKoreksiOS(String koreksiOS) {
		this.koreksiOS = koreksiOS;
	}

	public String getKoreksiOD() {
		return koreksiOD;
	}

	public void setKoreksiOD(String koreksiOD) {
		this.koreksiOD = koreksiOD;
	}

	public String getKacamataLamaOD() {
		return kacamataLamaOD;
	}

	public void setKacamataLamaOD(String kacamataLamaOD) {
		this.kacamataLamaOD = kacamataLamaOD;
	}

	public String getKacamataLamaOS() {
		return kacamataLamaOS;
	}

	public void setKacamataLamaOS(String kacamataLamaOS) {
		this.kacamataLamaOS = kacamataLamaOS;
	}

	public String getKacamataLamaBaca() {
		return kacamataLamaBaca;
	}

	public void setKacamataLamaBaca(String kacamataLamaBaca) {
		this.kacamataLamaBaca = kacamataLamaBaca;
	}

	public String getTonometriOS() {
		return tonometriOS;
	}

	public void setTonometriOS(String tonometriOS) {
		this.tonometriOS = tonometriOS;
	}

	public String getTonometriOD() {
		return tonometriOD;
	}

	public void setTonometriOD(String tonometriOD) {
		this.tonometriOD = tonometriOD;
	}

	public String getAplanasiOD() {
		return aplanasiOD;
	}

	public void setAplanasiOD(String aplanasiOD) {
		this.aplanasiOD = aplanasiOD;
	}

	public String getAplanasiOS() {
		return aplanasiOS;
	}

	public void setAplanasiOS(String aplanasiOS) {
		this.aplanasiOS = aplanasiOS;
	}

	public String getAnelOS() {
		return anelOS;
	}

	public void setAnelOS(String anelOS) {
		this.anelOS = anelOS;
	}

	public String getAnelOD() {
		return anelOD;
	}

	public void setAnelOD(String anelOD) {
		this.anelOD = anelOD;
	}

	public String getSistemLacrimal() {
		return sistemLacrimal;
	}

	public void setSistemLacrimal(String sistemLacrimal) {
		this.sistemLacrimal = sistemLacrimal;
	}

	public String getDiagnosaKlinik() {
		return diagnosaKlinik;
	}

	public void setDiagnosaKlinik(String diagnosaKlinik) {
		this.diagnosaKlinik = diagnosaKlinik;
	}

	public String getKodePenyakit() {
		return kodePenyakit;
	}

	public void setKodePenyakit(String kodePenyakit) {
		this.kodePenyakit = kodePenyakit;
	}

	public String getPengobatanPoliklinik() {
		return pengobatanPoliklinik;
	}

	public void setPengobatanPoliklinik(String pengobatanPoliklinik) {
		this.pengobatanPoliklinik = pengobatanPoliklinik;
	}

	public String getPengobatanDiRumah() {
		return pengobatanDiRumah;
	}

	public void setPengobatanDiRumah(String pengobatanDiRumah) {
		this.pengobatanDiRumah = pengobatanDiRumah;
	}
}
